Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 8 of 8
  1. #1
    Junior Member
    Join Date
    Feb 2009
    Location
    UK
    Posts
    20

    Problems with SOMA FM

    I'm having a few issues with my Touch: remote control has failed, using older classic remote for now, the clock doesn't seem to keep very good time (!?) and now SOMAFM radio stations won't play. The last one plays on another streamer in the house, but the touch gets a message that SOMA is not available in UK. Odd as I have listened for years to these stations. Any ideas welcome?

    Thanks.

  2. #2
    Senior Member
    Join Date
    Apr 2005
    Location
    UK/London
    Posts
    3,029
    TuneIn and UK issues
    see https://forums.slimdevices.com/showt...ghlight=tunein and install RadioNet plugin ... it works from there (playing it now).
    Paul Webster
    http://dabdig.blogspot.com
    Author of "Now Playing" plugins covering Radio France (FIP etc), KCRW, Supla Finland, ABC Australia, CBC/Radio-Canada and RTE Ireland

  3. #3
    Junior Member
    Join Date
    Feb 2009
    Location
    UK
    Posts
    20
    Paul, Thanks for info, I thought it could be something like that. Do you know how I can 'load' RadioNet on to my squeezebox Touch, is there a guide? Thanks.

    EDIT: I see there is a SOMAFM app stored in my squeezebox.com, I've tried one station and it now works!
    Last edited by nitrous; 2020-09-22 at 08:01.

  4. #4
    Senior Member
    Join Date
    Apr 2005
    Location
    UK/London
    Posts
    3,029
    The RadioNet plugin requires a local LMS.
    My guess from your comment is that you do not have one and instead are connecting your Touch to mysqueezebox.com
    Your solution works for now - but expect more problems over time (e.g. stations moving to HLS or HTTPS) which you will need a local LMS to solve.
    Paul Webster
    http://dabdig.blogspot.com
    Author of "Now Playing" plugins covering Radio France (FIP etc), KCRW, Supla Finland, ABC Australia, CBC/Radio-Canada and RTE Ireland

  5. #5
    Senior Member
    Join Date
    May 2008
    Location
    United States, Florida
    Posts
    11,943
    Quote Originally Posted by Paul Webster View Post
    The RadioNet plugin requires a local LMS.
    My guess from your comment is that you do not have one and instead are connecting your Touch to mysqueezebox.com
    Your solution works for now - but expect more problems over time (e.g. stations moving to HLS or HTTPS) which you will need a local LMS to solve.
    and when you do need local LMS, an rPi4B running piCorePlayer will be an excellent answer. Great LMS server the size of a deck of cards. Connect via ethernet to your router and you're all set.
    Home: VBA2.5 4TB or rPi4B/pCP6.1/4TB>LMS 7.9.3>Transporter, Touch, Boom, Radio (all ethernet)
    Cottage: rPi4B/pCP6.1/4TB>LMS 7.9.3>Touch>Benchmark DAC I, Boom, Radio w/Battery (ethernet except Radio WIFI)
    Office: Win10(64)>foobar2000
    The Wild: rPi3B+/pCP4.0, hifiberry Dac+Pro, 4TB USB (LMS & Squeezelite)
    Controllers: iPhone11 & iPadAir3 (iPeng), CONTROLLER, or SqueezePlay 7.8 on Win10(64)
    Files: Ripping: dbpoweramp > FLAC; Post-rip: mp3tag, PerfectTunes; Streaming: Spotify

  6. #6
    Junior Member
    Join Date
    Feb 2009
    Location
    UK
    Posts
    20
    Many thanks for the further replies,Iĺm not entirely sure this is something I completely understand, so for now Iĺm happy to at least have the stations back I like. But would I be able to utilise my current arrangement of LMS on my Synology NAS instead of needing a raspberry pi?

  7. #7
    Senior Member
    Join Date
    Oct 2005
    Location
    Ireland
    Posts
    19,324
    Quote Originally Posted by nitrous View Post
    But would I be able to utilise my current arrangement of LMS on my Synology NAS instead of needing a raspberry pi?
    You should be able to install the Radionet plugin on any recent LMS (i.e 7.9.* or 8.*).
    However Radionet site uses https so you'll need up to date LMS - typically at least 7.9.3 and up to date SSL support IO::Socket::SSL (at least 2.002) which may be dependent on Synology support.

  8. #8
    Junior Member
    Join Date
    Feb 2009
    Location
    UK
    Posts
    20
    Quote Originally Posted by bpa View Post
    You should be able to install the Radionet plugin on any recent LMS (i.e 7.9.* or 8.*).
    However Radionet site uses https so you'll need up to date LMS - typically at least 7.9.3 and up to date SSL support IO::Socket::SSL (at least 2.002) which may be dependent on Synology support.
    Bpa, thanks for reply. I think I understand, when the time comes I may have to ask for further advice to walk me through doing that. In the meantime all is still well and back to enjoying my SQ Touch again. Great bit of kit, still head scratching how something so good got dropped from production. ��

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •